Page MenuHomePhabricator

Other projects interwiki block does not work
Closed, ResolvedPublic

Description

Hi.
Open a page in some wikipedia that has interwiki to non-wikipedia projects, such as wikiquote or wikibooks.
Expected: See "other projects" links on the sidepanel.
Got: None.
Looks like started on last deployment.



But: On other projects the links do appear.

Event Timeline

IKhitron created this task.Oct 26 2018, 5:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 26 2018, 5:55 PM
IKhitron renamed this task from Other projects interwiki does not work to Other projects interwiki block does not work.Oct 26 2018, 6:06 PM
IKhitron updated the task description. (Show Details)
putnik added a subscriber: putnik.
Legoktm added a subscriber: Legoktm.

Other projects link comes from Wikibase/Wikidata.

Restricted Application added a project: Wikidata. · View Herald TranscriptOct 26 2018, 7:44 PM
jeblad added a subscriber: jeblad.EditedOct 26 2018, 8:24 PM

It seems like this correlates with T208077 and T208048. The first one has a logged exception. Note that correlation does not imply common cause. Still my guess is that these are related.

Some WMDE developers are taking a look at this but owing to the weekend and the Platform Evolution Summit we're a little thin on the ground tonight.

Change 470139 had a related patch set uploaded (by Addshore; owner: Addshore):
[operations/mediawiki-config@master] Wikibase, Set siteLinkGroups settings on all wikis again

https://gerrit.wikimedia.org/r/470139

Change 470139 merged by jenkins-bot:
[operations/mediawiki-config@master] Wikibase, Set siteLinkGroups settings on all wikis again

https://gerrit.wikimedia.org/r/470139

Stashbot added a subscriber: Stashbot.

Mentioned in SAL (#wikimedia-operations) [2018-10-27T08:34:52Z] <addshore@deploy1001> Synchronized wmf-config/Wikibase.php: Wikibase, Set siteLinkGroups settings on all wikis again T208048 T208077 T208074 (duration: 00m 54s)

Addshore closed this task as Resolved.Oct 27 2018, 8:37 AM
Addshore claimed this task.

Should be fixed now.

Restricted Application added a project: User-Addshore. · View Herald TranscriptOct 27 2018, 8:37 AM